new sbt install fails downloading commons-codec #217

Closed
harrah opened this Issue Jan 5, 2013 · 1 comment

1 participant

@harrah
Owner

I tried downloading the new sbt (version 0.11). This is the first time I've used it. When I run 'sbt', it fails, unable to load commons-codec. This is on Mac OS 10.6.8, although I'm not sure it matters much. This makes it totally unusable for me.

Getting org.scala-tools.sbt sbt_2.8.1 0.10.1 ...

:: problems summary ::
:::: WARNINGS
[NOT FOUND ] commons-codec#commons-codec;1.2!commons-codec.jar (2ms)

==== Maven2 Local: tried

  file:///Users/benwing/.m2/repository/commons-codec/commons-codec/1.2/commons-codec-1.2.jar

    ::::::::::::::::::::::::::::::::::::::::::::::

    ::              FAILED DOWNLOADS            ::

    :: ^ see resolution messages for details  ^ ::

    ::::::::::::::::::::::::::::::::::::::::::::::

    :: commons-codec#commons-codec;1.2!commons-codec.jar

    ::::::::::::::::::::::::::::::::::::::::::::::

:: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS
download failed: commons-codec#commons-codec;1.2!commons-codec.jar
Error during sbt execution: Error retrieving required libraries
(see /Users/benwing/devel/junto-1.2.0/project/boot/update.log for complete log)
Error: Could not retrieve sbt 0.10.1

@harrah
Owner

IMPORTANT This project has moved to https://github.com/sbt/sbt. This issue still exists to avoid dead links, but GitHub limitations prevent the original issue from being correctly preserved here. Please see sbt/sbt#217 for the full issue and to comment.

@harrah harrah closed this Jan 5, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment